Php photo gallery TWG | JFUploader | TWG Flash upload | WFU | Forum
http://www.tinywebgallery.com/forum/

Parse error - i_privatelogin.php
http://www.tinywebgallery.com/forum/php-photo-gallery-bugs-f5/parse-error-i-privatelogin-php-t4323.html
Page 1 of 1

Author:  noclaf [ 9. May 2017, 23:26 ]
Post subject:  Parse error - i_privatelogin.php

Hi everybody!
Running TWG 2.4.1 on NAS4free 10.3.0.3.4191 (FreeBSD 10.3-RELEASE-p18, PHP 7.0.18)

in info.php everything is green except following 3 (which are not crucial I think) :
Code:
Image Magick Support    Not available   
ffmpeg Support    Not available   
ffmpeg video convert    Not available


I have several password protected galleries. When I click the gallery, instead of pop-up window with pwd I receive (in the same location) following error :
Quote:
Parse error: syntax error, unexpected '"?twg_album="' (T_CONSTANT_ENCAPSED_STRING) in /mnt/.../i_frames/i_privatelogin.php on line 78

This is the case in all major browsers (up-to-date versions). Name of the galleries contain understrikes, however even simple "test" album has shown the same behaviour.

I really would appreciate your help...

Author:  TinyWebGallery [ 10. May 2017, 09:24 ]
Post subject:  Re: Parse error - i_privatelogin.php

I have already fixed this on my local build I will release a new version today or tomorrow...

Best, Michael

Author:  noclaf [ 10. May 2017, 09:44 ]
Post subject:  Re: Parse error - i_privatelogin.php

Glad to hear that! :wink:

Author:  TinyWebGallery [ 11. May 2017, 08:58 ]
Post subject:  Re: Parse error - i_privatelogin.php

2.4.2 was released.

Author:  noclaf [ 11. May 2017, 09:21 ]
Post subject:  Re: Parse error - i_privatelogin.php

TinyWebGallery wrote:
2.4.2 was released.

I see. But I have troubles updating - there is only installer/zip for 2.4.2, but the patch is still only from 1.6->2.4.1. Also administration of TWG is saying my 2.4.1 is up-to-date and there is no update available.

Author:  TinyWebGallery [ 11. May 2017, 10:19 ]
Post subject:  Re: Parse error - i_privatelogin.php

patch is already 2.4.2 also. click on it and you get the right version. Only the website was old html i updated now...

Page 1 of 1 All times are UTC + 1 hour [ DST ]
Powered by phpBB® Forum Software © phpBB Group
http://www.phpbb.com/